Commit a8302ac6 authored by hausmann@webkit.org's avatar hausmann@webkit.org

[Qt] Compilation fails when compiling against Qt 4.7 and Qt Mobility is installed

https://bugs.webkit.org/show_bug.cgi?id=40116

Reviewed by Tor Arne Vestbø.

CONFIG += mobility has the side-effect of pulling in mobility includes, which conflict
with Qt 4.7's bearer managenent includes and break the build.

* WebCore.pro:

git-svn-id: http://svn.webkit.org/repository/webkit/trunk@60677 268f45cc-cd09-0410-ab3c-d52691b4dbfc
parent cb723533
2010-06-04 Simon Hausmann <simon.hausmann@nokia.com>
Reviewed by Tor Arne Vestbø.
[Qt] Compilation fails when compiling against Qt 4.7 and Qt Mobility is installed
https://bugs.webkit.org/show_bug.cgi?id=40116
CONFIG += mobility has the side-effect of pulling in mobility includes, which conflict
with Qt 4.7's bearer managenent includes and break the build.
* WebCore.pro:
2010-06-04 Vangelis Kokkevis <vangelis@chromium.org>
Reviewed by Dimitri Glazkov.
......
......@@ -2621,8 +2621,12 @@ contains(DEFINES, ENABLE_QT_BEARER=1) {
SOURCES += \
platform/network/qt/NetworkStateNotifierQt.cpp
CONFIG += mobility
MOBILITY += bearer
# Bearer management is part of Qt 4.7, so don't accidentially
# pull in Qt Mobility when building against >= 4.7
!greaterThan(QT_MINOR_VERSION, 6) {
CONFIG += mobility
MOBILITY += bearer
}
}
contains(DEFINES, ENABLE_SVG=1) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment